Modify

Opened 2 years ago

Closed 2 years ago

#15947 closed defect (othersoftware)

ClassNotFoundException: org.openstreetmap.josm.data.validation.tests.OpeningHourTest

Reported by: Atalanttore Owned by: Atalanttore
Priority: critical Milestone:
Component: Core Version: latest
Keywords: template_report windows defender Cc:

Description

What is the expected result?

A flawless program start.

What happens instead?

This error.

Please provide any additional information below. Attach a screenshot if possible.

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2018-01-28 23:08:56 +0100 (Sun, 28 Jan 2018)
Revision:13367
Build-Date:2018-01-28 22:25:44
URL:http://josm.openstreetmap.de/svn/trunk

Identification: JOSM/1.5 (13367 de) Windows 10 64-Bit
OS Build number: Windows 10 Home 1709 (16299)
Memory Usage: 116 MB / 1004 MB (29 MB allocated, but free)
Java version: 9.0.4+11, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Screen: \Display0 1600x900
Maximum Screen Size: 1600x900

Plugins:
+ BuildingGeneralization
+ HouseNumberTaggingTool
+ Mapillary
+ OpenStreetCam
+ OpeningHoursEditor
+ RoadSigns
+ ShapeTools
+ apache-commons
+ apache-http
+ buildings_tools
+ tageditor
+ terracer
+ turnrestrictions
+ waydownloader

Last errors/warnings:
- E: Handled by bug report queue: org.openstreetmap.josm.tools.JosmRuntimeException: java.util.concurrent.ExecutionException: java.lang.NoClassDefFoundError: org/openstreetmap/josm/data/validation/tests/OpeningHourTest. Ursache: java.util.concurrent.ExecutionException: java.lang.NoClassDefFoundError: org/openstreetmap/josm/data/validation/tests/OpeningHourTest. Ursache: java.lang.NoClassDefFoundError: org/openstreetmap/josm/data/validation/tests/OpeningHourTest. Ursache: java.lang.ClassNotFoundException: org.openstreetmap.josm.data.validation.tests.OpeningHourTest


=== REPORTED CRASH DATA ===
BugReportExceptionHandler#handleException:
No data collected.

Warning issued by: BugReportExceptionHandler#handleException

=== STACK TRACE ===
Thread: main (1)
org.openstreetmap.josm.tools.JosmRuntimeException: java.util.concurrent.ExecutionException: java.lang.NoClassDefFoundError: org/openstreetmap/josm/data/validation/tests/OpeningHourTest
	at org.openstreetmap.josm.Main.initialize(Main.java:169)
	at org.openstreetmap.josm.gui.MainApplication.mainJOSM(MainApplication.java:1013)
	at org.openstreetmap.josm.gui.MainApplication$2.processArguments(MainApplication.java:278)
	at org.openstreetmap.josm.gui.MainApplication.main(MainApplication.java:845)
Caused by: java.util.concurrent.ExecutionException: java.lang.NoClassDefFoundError: org/openstreetmap/josm/data/validation/tests/OpeningHourTest
	at java.base/java.util.concurrent.FutureTask.report(Unknown Source)
	at java.base/java.util.concurrent.FutureTask.get(Unknown Source)
	at org.openstreetmap.josm.Main.initialize(Main.java:162)
	... 3 more
Caused by: java.lang.NoClassDefFoundError: org/openstreetmap/josm/data/validation/tests/OpeningHourTest
	at org.openstreetmap.josm.data.validation.OsmValidator.<clinit>(OsmValidator.java:101)
	at org.openstreetmap.josm.Main$InitializationTask.call(Main.java:253)
	at org.openstreetmap.josm.Main$InitializationTask.call(Main.java:232)
	at java.base/java.util.concurrent.FutureTask.run(Unknown Source)
	at java.base/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
	at java.base/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
	at java.base/java.lang.Thread.run(Unknown Source)
Caused by: java.lang.ClassNotFoundException: org.openstreetmap.josm.data.validation.tests.OpeningHourTest
	at java.base/jdk.internal.loader.BuiltinClassLoader.loadClass(Unknown Source)
	at java.base/jdk.internal.loader.ClassLoaders$AppClassLoader.loadClass(Unknown Source)
	at java.base/java.lang.ClassLoader.loadClass(Unknown Source)
	... 7 more

Attachments (0)

Change History (15)

comment:1 Changed 2 years ago by Don-vip

Owner: changed from team to Atalanttore
Status: newneedinfo
Summary: Crash on startupClassNotFoundException: org.openstreetmap.josm.data.validation.tests.OpeningHourTest

How do you launch JOSM?

comment:2 Changed 2 years ago by Atalanttore

By double-click on JAR file.

comment:3 Changed 2 years ago by Don-vip

Ticket #15956 has been marked as a duplicate of this ticket.

comment:4 Changed 2 years ago by Don-vip

Can't reproduce. Can you please try to download josm JAR file again? If the issue persists, please try to launch it from command prompt (java -jar josm-tested.jar) and copy-paste console output here.

comment:5 Changed 2 years ago by Don-vip

Ticket #15977 has been marked as a duplicate of this ticket.

comment:6 Changed 2 years ago by Atalanttore

Got the same error with a newly downloaded JOSM JAR file.

{{{
Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2018-02-16 21:38:20 +0100 (Fri, 16 Feb 2018)
Revision:13425
Build-Date:2018-02-17 02:36:27
URL:http://josm.openstreetmap.de/svn/trunk

Identification: JOSM/1.5 (13425 de) Windows 10 64-Bit
OS Build number: Windows 10 Home 1709 (16299)
Memory Usage: 112 MB / 1004 MB (44 MB allocated, but free)
Java version: 9.0.4+11, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Screen: \Display0 1600x900
Maximum Screen Size: 1600x900

Plugins:
+ BuildingGeneralization
+ HouseNumberTaggingTool
+ Mapillary
+ OpenStreetCam
+ OpeningHoursEditor
+ RoadSigns
+ ShapeTools
+ apache-commons
+ apache-http
+ buildings_tools
+ tageditor
+ terracer
+ turnrestrictions
+ waydownloader

Last errors/warnings:
- E: Handled by bug report queue: org.openstreetmap.josm.tools.JosmRuntimeException: java.util.concurrent.ExecutionException: java.lang.NoClassDefFoundError: org/openstreetmap/josm/data/validation/tests/OpeningHourTest. Ursache: java.util.concurrent.ExecutionException: java.lang.NoClassDefFoundError: org/openstreetmap/josm/data/validation/tests/OpeningHourTest. Ursache: java.lang.NoClassDefFoundError: org/openstreetmap/josm/data/validation/tests/OpeningHourTest. Ursache: java.lang.ClassNotFoundException: org.openstreetmap.josm.data.validation.tests.OpeningHourTest


=== REPORTED CRASH DATA ===
BugReportExceptionHandler#handleException:
No data collected.

Warning issued by: BugReportExceptionHandler#handleException

=== STACK TRACE ===
Thread: main (1)
org.openstreetmap.josm.tools.JosmRuntimeException: java.util.concurrent.ExecutionException: java.lang.NoClassDefFoundError: org/openstreetmap/josm/data/validation/tests/OpeningHourTest
	at org.openstreetmap.josm.Main.initialize(Main.java:169)
	at org.openstreetmap.josm.gui.MainApplication.mainJOSM(MainApplication.java:1018)
	at org.openstreetmap.josm.gui.MainApplication$2.processArguments(MainApplication.java:278)
	at org.openstreetmap.josm.gui.MainApplication.main(MainApplication.java:845)
Caused by: java.util.concurrent.ExecutionException: java.lang.NoClassDefFoundError: org/openstreetmap/josm/data/validation/tests/OpeningHourTest
	at java.base/java.util.concurrent.FutureTask.report(Unknown Source)
	at java.base/java.util.concurrent.FutureTask.get(Unknown Source)
	at org.openstreetmap.josm.Main.initialize(Main.java:162)
	... 3 more
Caused by: java.lang.NoClassDefFoundError: org/openstreetmap/josm/data/validation/tests/OpeningHourTest
	at org.openstreetmap.josm.data.validation.OsmValidator.<clinit>(OsmValidator.java:101)
	at org.openstreetmap.josm.Main$InitializationTask.call(Main.java:253)
	at org.openstreetmap.josm.Main$InitializationTask.call(Main.java:232)
	at java.base/java.util.concurrent.FutureTask.run(Unknown Source)
	at java.base/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
	at java.base/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
	at java.base/java.lang.Thread.run(Unknown Source)
Caused by: java.lang.ClassNotFoundException: org.openstreetmap.josm.data.validation.tests.OpeningHourTest
	at java.base/jdk.internal.loader.BuiltinClassLoader.loadClass(Unknown Source)
	at java.base/jdk.internal.loader.ClassLoaders$AppClassLoader.loadClass(Unknown Source)
	at java.base/java.lang.ClassLoader.loadClass(Unknown Source)
	... 7 more
}}}

comment:7 Changed 2 years ago by Don-vip

Ticket #15995 has been marked as a duplicate of this ticket.

comment:8 Changed 2 years ago by Don-vip

Keywords: windows defender added
Milestone: 18.02
Priority: normalcritical

Windows Defender remove class files from our jar! See thread

comment:9 Changed 2 years ago by Don-vip

Owner: changed from Atalanttore to Don-vip
Status: needinfonew

comment:10 Changed 2 years ago by Don-vip

Can't reproduce on my system. Atalanttore, if you download JOSM jar with Firefox and run a Windows Defender manual scan on the jar file, what happens? I asume you download JOSM with Internet Explorer or Edge?

comment:11 Changed 2 years ago by Atalanttore

You're right. Windows Defender found a false positive trojan called "Win32/Skeeyah.H" within the JOSM JAR file.

josm-latest.jar->org/openstreetmap/josm/data/validation/tests/OpeningHourTest.class
josm-latest.jar->org/openstreetmap/josm/gui/io/CustomConfigurator$XMLCommandProcessor.class
josm-latest.jar->org/openstreetmap/josm/tools/OverpassTurboQueryWizard.class

comment:12 Changed 2 years ago by Don-vip

OK, can you please update the Windows Defender definitions and try again? According to Toby, the latest Windows Defender update fixed the problem.

comment:13 Changed 2 years ago by Don-vip

Owner: changed from Don-vip to Atalanttore
Status: newneedinfo

comment:14 Changed 2 years ago by Atalanttore

It seems to work with the latest Windows Defender update.

comment:15 Changed 2 years ago by Don-vip

Milestone: 18.02
Resolution: othersoftware
Status: needinfoclosed

Great!

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Atalanttore.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.